Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Point3i

    java.lang.Object
      javax.vecmath.Tuple3i
          javax.vecmath.Point3i

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Point3i

extends Tuple3i
implements java.io.Serializable

A 3 element point represented by signed integer x,y,z coordinates.

Since:
  Java 3D 1.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple3i
`x, y, z`

Constructor Summary
`Point3i()` Constructs and initializes a Point3i to (0,0,0).
`Point3i(int[] t)` Constructs and initializes a Point3i from the array of length 3.
`Point3i(int x, int y, int z)` Constructs and initializes a Point3i from the specified x, y, and z coordinates.
`Point3i(Tuple3i t1)` Constructs and initializes a Point3i from the specified Tuple3i.

Method Summary

Methods inherited from class javax.vecmath.Tuple3i
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, equals, get, get, hashCode, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Point3i

    public Point3i(int x,
                   int y,
                   int z)

  Constructs and initializes a Point3i from the specified x, y, and z coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Point3i

    public Point3i(int[] t)

  Constructs and initializes a Point3i from the array of length 3.

  Parameters:
    `t` - the array of length 3 containing x, y, and z in order.

### Point3i

    public Point3i(Tuple3i t1)

  Constructs and initializes a Point3i from the specified Tuple3i.

  Parameters:
    `t1` - the Tuple3i containing the initialization x, y, and z data.

### Point3i

    public Point3i()

  Constructs and initializes a Point3i to (0,0,0).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD